rpm: rpm2archive.c File Reference

rpm 4.13.0

Macros | Functions | Variables
rpm2archive.c File Reference
`#include "system.h"`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmfi.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/rpmpgp.h>`
`#include <rpm/rpmts.h>`
`#include <archive.h>`
`#include <archive_entry.h>`
`#include "debug.h"`
Include dependency graph for rpm2archive.c:

Go to the source code of this file.

## Macros
#define | BUFSIZE (128*1024)

## Functions
static void | fill_archive_entry (struct archive *a, struct archive_entry *entry, rpmfi fi)
static void | write_file_content (struct archive *a, char *buf, rpmfi fi)
static int | process_package (rpmts ts, char *filename)
int | main (int argc, char *argv[])

## Variables
const char * | program_name

## Macro Definition Documentation

## ◆ BUFSIZE

#define BUFSIZE (128*1024)

Definition at line 19 of file rpm2archive.c.

Referenced by process_package(), and write_file_content().

## Function Documentation

## ◆ fill_archive_entry()

static void fill_archive_entry | ( | struct archive * | a,
|  | struct archive_entry * | entry,
|  | rpmfi | fi
| ) |  |
| static

Definition at line 21 of file rpm2archive.c.

References _free, mode, rpmfiBN(), rpmfiDN(), rpmfiFGroup(), rpmfiFLink(), rpmfiFMode(), rpmfiFMtime(), rpmfiFRdev(), rpmfiFSize(), rpmfiFUser(), and rstrscat().

Referenced by process_package().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 182 of file rpm2archive.c.

References _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, process_package(), rpmReadConfigFiles(), rpmtsCreate(), rpmtsFree(), rpmtsSetVSFlags(), RPMVSF_NOHDRCHK, rstreq(), and setprogname.

## ◆ process_package()

static int process_package | ( | rpmts | ts,
|  | char * | filename
| ) |  |
| static

Definition at line 61 of file rpm2archive.c.

References _, _free, BUFSIZE, Fclose(), fdDup(), Fdopen(), Ferror(), fill_archive_entry(), Fopen(), Fstrerror(), headerFree(), headerGetString(), mode, RPMERR_ITER_END, RPMFI_ITER_READ_ARCHIVE_CONTENT_FIRST, RPMFI_KEEPHEADER, rpmfiArchiveHasContent(), rpmfiFMode(), rpmfiFN(), rpmfiFNlink(), rpmfiFree(), rpmfilesFree(), rpmfilesNew(), rpmfiNewArchiveReader(), rpmfiNext(), RPMRC_FAIL, RPMRC_NOKEY, RPMRC_NOTFOUND, RPMRC_NOTTRUSTED, RPMRC_OK, rpmReadPackageFile(), RPMTAG_PAYLOADCOMPRESSOR, rstrscat(), write_file_content(), and xmalloc.

Referenced by main().

## ◆ write_file_content()

static void write_file_content | ( | struct archive * | a,
|  | char * | buf,
|  | rpmfi | fi
| ) |  |
| static

Definition at line 43 of file rpm2archive.c.

References BUFSIZE, rpmfiArchiveRead(), and rpmfiFSize().

Referenced by process_package().

## Variable Documentation

## ◆ program_name

const char* program_name

Definition at line 4 of file rpm2archive.c.